Page MenuHomePhabricator

Enable MP4/H.264 transcode target support on Wikimedia's TimedMediaHandler setup
Closed, DeclinedPublic

Description

Once TMH is deployed (bug 27699) and support for transcoding to MP4 is added (bug 39867), it would be reaaaaaaaally nice to deploy and enable it. This is required to play videos on mobile web (bug 38305) & in mobile apps (bug 39868).


Version: unspecified
Severity: normal

Details

Reference
bz39869

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
Declinedbrion
ResolvedNone
Declinedbrion
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedhashar
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:55 AM
bzimport set Reference to bz39869.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Aug 31 2012, 9:54 PM

Merged gerrit 25473 links here, but it is not linked back.

(In reply to comment #1)

Merged Gerrit change #25473 links here, but it is not linked back.

Michael: Could you clarify what's the status of this?

mdale wrote:

The code has been merged, and tested against a few platforms:
http://www.mediawiki.org/wiki/Extension:TimedMediaHandler/Platform_testing

There have been some wikitech-l threads on the question of whether we "turn it on" or not.
http://www.gossamer-threads.com/lists/wiki/wikitech/319913

This would also allow IE9+ to play transcoded videos without plugin.

brion added a comment.Jun 1 2013, 1:03 PM
  • Bug 49037 has been marked as a duplicate of this bug. ***